<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Nerko+One&family=Quicksand:wght@500&display=swap"
        rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
        integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
        crossorigin="anonymous"></script>
    <title>Accordion Page!</title>
    <link rel="stylesheet" type="text/css" href="{% static 'accordion.css' %}">
    <script src="{% static 'accordion.js' %}"></script>
</head>

<body>
    <nav class="navbar">
        <div class="container-fluid">
            <ul class="nav navbar-nav">
                <li class="header"><a href="{% url 'story7:landingPage' %}">Home</a></li>
                <li class="header"><a href="{% url 'story7:accordion' %}">Accordion Page</a></li>
                <li class="header"><a href="{% url 'story7:bookshelves' %}">Search Book</a></li>
                <li class="header"><a href="{% url 'story7:login' %}">Log In</a></li>
            </ul>
        </div>
    </nav>

    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <p id="top">Welcome to my Accordion Page for
                    Story 7!</p>
            </div>
        </div>

        <div class="accordion" id="accordionExample">
            <div id="0">
                <div class="card">
                    <div class="card-header" id="headingZero">
                        <h2 class="mb-0 0">
                            <button class="btn btn-link" type="button" data-toggle="collapse"
                                data-target="#collapseZero" aria-controls="collapseZero">
                                About Erika!
                            </button>
                            <button class="btn up up0" type="button">^</button>
                            <button class="btn down down0" type="button">⌄</button>
                        </h2>
                    </div>

                    <div id="collapseZero" class="collapse" aria-labelledby="headingZero"
                        data-parent="#accordionExample">
                        <div class="card-body">
                            <p>Erika is an undergraduate computer science student majoring in Information System at
                                University of Indonesia. She's currently a lil bit suffering while learning coding but
                                she's trying her best to stick around. Go support her by sending her sweet message at
                                Instagram @eriiiikaa !</p>
                        </div>
                    </div>
                </div>
            </div>
            <div id="1">
                <div class="card">
                    <div class="card-header genap" id="headingOne">
                        <h2 class="mb-0">
                            <button class="btn btn-link genap" type="button" data-toggle="collapse"
                                data-target="#collapseOne" aria-controls="collapseOne">
                                Organization and Comitee Experiences
                            </button>
                            <button class="btn up up1" type="button">^</button>
                            <button class="btn down down1" type="button">⌄</button>
                        </h2>
                    </div>

                    <div id="collapseOne" class="collapse" aria-labelledby="headingOne" data-parent="#accordionExample">
                        <div class="card-body">
                            <p> Staff of Academic and Leadership Department at BEM Fakultas Ilmu Komputer Universitas
                                Indonesia </p>
                            <p> Head of State Defense Department at OSIS SMP Avicenna Jagakarsa 2015</p>
                            <p> Vice Person in Charge of Events at PMB Fasilkom UI 2020 </p>
                            <p> Media Partner Team at OKK UI 2020</p>
                            <p> Startup Academy Team at COMPFEST 12</p>
                            <p> Events Team at Wisuda Ganjil Fasilkom 2020</p>
                            <p> Field Coordinator Team at PERAK Fasilkom UI 2019</p>
                            <p> Public Relation and Partnership Team at BETIS Fasilkom UI 2019</p>
                            <p> Public Relation and Publication Team at OH Fasilkom UI 2019</p>
                            <p> Events Team at SMANSA Model United Nation 2017</p>
                        </div>
                    </div>
                </div>
            </div>

            <div id="2">
                <div class="card">
                    <div class="card-header" id="headingTwo">
                        <h2 class="mb-0">
                            <button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseTwo"
                                aria-controls="collapseTwo">
                                Achievements
                            </button>
                            <button class="btn up up2" type="button">^</button>
                            <button class="btn down down2" type="button">⌄</button>
                        </h2>
                    </div>

                    <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                        <div class="card-body">
                            <p>Silver Medalist of Kyorugi at Jakarta Taekwondo Festival 2017</p>
                            <p>First winner of Book Review Competition at Avicenna's Competition 2016</p>
                            <p>OSP DKI Jakarta Cabang Matematika 2014</p>
                            <p>O2SK Jagakarsa Renang Gaya Bebas 500m 2014</p>
                        </div>
                    </div>
                </div>
            </div>

            <div id="3">
                <div class="card">
                    <div class="card-header genap" id="headingThree">
                        <h2 class="mb-0">
                            <button class="btn btn-link genap" type="button" data-toggle="collapse"
                                data-target="#collapseThree" aria-controls="collapseThree">
                                Interest
                            </button>
                            <button class="btn up up3" type="button">^</button>
                            <button class="btn down down3" type="button">⌄</button>
                        </h2>
                    </div>

                    <div id="collapseThree" class="collapse" aria-labelledby="headingThree"
                        data-parent="#accordionExample">
                        <div class="card-body">
                            <p>Criminology</p>
                            <p>Forensic Psychology</p>
                            <p>Cyber Crime</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        var acc = document.getElementsByClassName("btn-link");
        var i;

        for (i = 0; i < acc.length; i++) {
            acc[i].addEventListener("click", function () {
                /* Toggle between adding and removing the "active" class,
                to highlight the button that controls the panel */
                this.parentElement.parentElement.classList.toggle("active")

                /* Toggle between hiding and showing the active panel */
                var panel = this.parentElement.parentElement.nextElementSibling;
                if (panel.style.display === "block") {
                    panel.style.display = "none";
                } else {
                    panel.style.display = "block";
                }
            });
        }
    </script>

</body>

</html>